Page MenuHomePhabricator

Stale copy of Wikipedia:Featured picture candidates/Peacock butterfly and other mobile pages being served to users
Closed, ResolvedPublic

Event Timeline

dr0ptp4kt raised the priority of this task from to Needs Triage.
dr0ptp4kt updated the task description. (Show Details)
dr0ptp4kt added a project: MobileFrontend.
dr0ptp4kt moved this task to Backlog on the MobileFrontend board.
dr0ptp4kt added a subscriber: dr0ptp4kt.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 15 2015, 11:19 PM
dr0ptp4kt set Security to None.
dr0ptp4kt added a subscriber: BBlack.
Tnegrin added a subscriber: Pine.Dec 15 2015, 11:21 PM
KLans_WMF triaged this task as Normal priority.Dec 16 2015, 6:00 PM

Unfortunately (or fortunately), this issue is no longer reproducible. The latest edit is now showing on properly showing on mdot.

Is anyone seeing this issue surface elsewhere?

A possible reason for this would be a backlog in the job queue. To check for the number of current jobs per wiki, you can run this on tin: mwscript showJobs.php --wiki=enwiki --group. The jobs responsible for purges should be htmlCacheUpdate for the edited page itself, and refreshLinks for template / image updates.

In the future, if you can get the cache headers, what mw backend served the request, and specific timestamps, that can be helpful when trying to debug.

Right. I had copied from a curl but failed to paste. It's of about no consequence now, but it was as I recall a miss (0), hit (3), hit (11) after a couple tries (wish I could remember the nodes!). Sorry I didn't add that in, will be diligent to get those details for future similar things!

Legoktm renamed this task from Stale copy of Wikipedia:Featured picture candidates/Peacock butterfly to Stale copy of Wikipedia:Featured picture candidates/Peacock butterfly and other mobile pages being served to users.Dec 18 2015, 10:37 PM
Legoktm raised the priority of this task from Normal to Unbreak Now!.

https://en.m.wikipedia.org/wiki/User:Legoktm/test is broken, https://en.m.wikipedia.org/wiki/User:Legoktm/test?bust is fine, so we're not invalidating varnish cache. Presumably this would be done via the TitleSquidURLs hook, but I don't see how this has ever worked in the past?

@Jdlrobson, @Tgr, @BBlack any insight?

@ori pointed out that the the Star Wars: The Force Awakens page is out of date in T121466#1891750, and @Legoktm referred the stuff over to this ticket.

Here's what I'm seeing right now:

Mobile web

$ curl -k -v https://en.m.wikipedia.org/wiki/Star_Wars:_The_Force_Awakens

< Date: Fri, 18 Dec 2015 22:40:38 GMT
< Last-Modified: Fri, 11 Dec 2015 22:35:07 GMT
< X-Varnish: 4091271408 4091270006, 3502921844, 875028609 176150407
< Via: 1.1 varnish, 1.1 varnish, 1.1 varnish
< Age: 605130
< X-Cache: cp1059 hit (2), cp4012 miss (0), cp4019 frontend hit(125815)


**Last edited 7 days ago by Alaney2k**

Desktop web

$ curl -k -v https://en.wikipedia.org/wiki/Star_Wars:_The_Force_Awakens

< Date: Fri, 18 Dec 2015 22:39:38 GMT
< Last-Modified: Fri, 18 Dec 2015 22:37:44 GMT
< X-Varnish: 2135113202 2135112617, 1115676409, 182136136 182010954
< Via: 1.1 varnish, 1.1 varnish, 1.1 varnish
< Age: 113
< X-Cache: cp1054 hit(4), cp4017 miss(0), cp4009 frontend hit(26)

**This page was last modified on 18 December 2015, at 22:17.**
Tgr added a comment.Dec 18 2015, 10:46 PM

Routing around Varnish with the x-debug header makes the issue go away, so this is a problem with purge requests failing to reach Varnish, not T121466, right?

Legoktm assigned this task to BBlack.Dec 18 2015, 10:50 PM

@BBlack and I discussed this on IRC, and he figured out what's going wrong in the varnish logic.

Change 260154 had a related patch set uploaded (by BBlack):
Text VCL: do not hash-differentiate on the mobile cluster

https://gerrit.wikimedia.org/r/260154

Change 260154 merged by BBlack:
Text VCL: do not hash-differentiate on the mobile cluster

https://gerrit.wikimedia.org/r/260154

Change 260162 had a related patch set uploaded (by BBlack):
Text VCL: do not block purge for text reqs to mobile cluster

https://gerrit.wikimedia.org/r/260162

Change 260162 merged by BBlack:
Text VCL: do not block purge for text reqs to mobile cluster

https://gerrit.wikimedia.org/r/260162

Hmm. I'm still getting the stale copy for https://en.m.wikipedia.org/wiki/Star_Wars:_The_Force_Awakens.

I issued purges via https://en.m.wikipedia.org/wiki/Star_Wars:_The_Force_Awakens?action=purge and https://en.wikipedia.org/wiki/Star_Wars:_The_Force_Awakens?action=purge and it seems that although they must have cleared htmlCacheUpdate as perceived on tin (events are queueing and dequeueing as evidenced by fluctuating numbers) it's still coming back stale in completely brand new browser sessions. I guess we may need to give it a little more time to percolate?

Purges for new edits should be working now and I confirmed it on my test page. ?action=purge should also work for pages that haven't been edited since the patches went out, @BBlack is also working on purging the entire mobile cache.

The purge of the mobile cache (of things older than the fix) is still slowly ongoing, but it's almost complete and the remainder is automated. Should be done around 16:30 UTC (~2h after this post).

^ Above was off by 1h, it's 17:30 UTC when it ends.

BBlack closed this task as Resolved.Dec 19 2015, 5:33 PM